Summary:	Utilities for exFAT filesystem
Summary(pl.UTF-8):	Narzędzia do systemu plików exFAT
Name:		exfat-utils
Version:	1.4.0
Release:	1
License:	GPL v2+
Group:		Applications/System
#Source0Download: https://github.com/relan/exfat/releases
Source0:	https://github.com/relan/exfat/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2e33fc2d291ca5632218561b3ca2570b
URL:		https://github.com/relan/exfat
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11.2
Suggests:	fuse-exfat
Conflicts:	fuse-exfat < 0.9.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This project aims to provide a full-featured exFAT file system
implementation for Linux and other Unix-like systems as a FUSE module.

%description -l pl.UTF-8
Celem tego projektu jest umożliwienie pełnego dostępu do systemu
plików exFAT z poziomu Linuksa i innych systemów uniksowych poprzez
moduł FUSE.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo '.so man8/exfatfsck.8' >$RPM_BUILD_ROOT%{_mandir}/man8/fsck.exfat.8
echo '.so man8/mkexfatfs.8' >$RPM_BUILD_ROOT%{_mandir}/man8/mkfs.exfat.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) /sbin/dumpexfat
%attr(755,root,root) /sbin/exfatattrib
%attr(755,root,root) /sbin/exfatfsck
%attr(755,root,root) /sbin/exfatlabel
%attr(755,root,root) /sbin/fsck.exfat
%attr(755,root,root) /sbin/mkexfatfs
%attr(755,root,root) /sbin/mkfs.exfat
%{_mandir}/man8/dumpexfat.8*
%{_mandir}/man8/exfatattrib.8*
%{_mandir}/man8/exfatfsck.8*
%{_mandir}/man8/exfatlabel.8*
%{_mandir}/man8/fsck.exfat.8*
%{_mandir}/man8/mkexfatfs.8*
%{_mandir}/man8/mkfs.exfat.8*
%changelog
* Sun Mar 19 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/exfat-utils.git;a=log;h=master

* Sun Mar 19 2023 Jakub Bogusz <qboosh@pld-linux.org> c057c98
- updated to 1.4.0

* Fri Aug 16 2019 Adam Osuchowski <adwol@pld-linux.org> df8df84
- up to 1.3.0

* Sun Feb 18 2018 Adam Osuchowski <adwol@pld-linux.org> 8460764
- up to 1.2.8

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 767a9ac
- up to 1.2.7

* Sun Jan 29 2017 Adam Osuchowski <adwol@pld-linux.org> 7135194
- up to 1.2.6
- removed unnecessary exfat-utils-man.patch

* Sat Feb 13 2016 Adam Osuchowski <adwol@pld-linux.org> 0597b9f
- up to 1.2.3

* Sun Oct 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 977d7c4
- new URLs, updated to 1.2.1; relicensed to GPL v2+ since 1.1.0
- upstream switched to autotools, so things are simpler now
- added man patch to disable no-installman option and package man pages

* Fri Jun 26 2015 Adam Osuchowski <adwol@pld-linux.org> 355293e
- up to 1.1.1

* Tue Jan 13 2015 Elan Ruusamäe <glen@delfi.ee> e1aa07f
- S: fuse-exfat

* Sat Feb 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 5e7509e
- updated to 1.0.1

* Tue Jan 22 2013 Jakub Bogusz <qboosh@pld-linux.org> cba5378
- updated to 1.0.0

* Sat Sep 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 1b97c60
- updated to 0.9.8

* Sun Mar 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 6e9c298
- updated to 0.9.7

* Thu Jan 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 66df63b
- updated to 0.9.6

* Thu May 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 218cb61
- updated to 0.9.5

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> f985f29
- new, now separate from fuse-exfat

